----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    22:23:31 09/24/2006 
-- Design Name: 
-- Module Name:    ssg decoder - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity ssg_driver is
    Port (
      input : in  STD_LOGIC_VECTOR (3 downto 0);
      dig   : out  STD_LOGIC_VECTOR (6 downto 0));
end ssg_driver;

architecture Behavioral of ssg_driver is
begin
  -- ssg LEDs on the S3 board are low asserted
  -- encode digits 0 to 9              
  --         6543210
  dig <=    "0111111" when input = "0000" else  -- 0
            "0000110" when input = "0001" else  -- 1
            "1011011" when input = "0010" else
            "1001111" when input = "0011" else
            "1100110" when input = "0100" else
            "1101101" when input = "0101" else
            "1111101" when input = "0110" else
            "0000111" when input = "0111" else
            "1111111" when input = "1000" else  -- 8
            "1101111" when input = "1001" else  -- 9
            "0000000";
end Behavioral;

